#!/bin/bash

# add here your MiToBo installation path
export ALIDA_HOME=$PWD

# init class path for JVM
export CLASSPATH="$ALIDA_HOME/Alida.jar"

# add jars to CLASSPATH
for jar in $ALIDA_HOME/extjars/* $ALIDA_HOME/intjars/*
do
	export CLASSPATH="${jar}:$CLASSPATH"
done

echo CLASSPATH = "$CLASSPATH"

if [ $# -eq 0 ]
then
	cmd=grappa
else
	cmd=$1
	shift
fi


case $cmd in
grappa)
	java -Xms1024m -Xmx1024m -Xss128m de.unihalle.informatik.Alida.tools.ALDGrappaRunner $*
   ;;
guioprunner)
	java -Xms1024m -Xmx1024m -Xss128m de.unihalle.informatik.Alida.tools.ALDOpRunnerGUI $*
   ;;
oprunner)
	java -Xms1024m -Xmx1024m -Xss128m de.unihalle.informatik.Alida.tools.ALDOpRunner $*
   ;;
*)
   echo "usage runAlida.tcsh [grappa|guioprunner|oprunner] args*"
   ;;
esac
